Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBaseC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "tao/CDR.h"`
`#include "tao/Any.h"`
`#include "TAO_Export.h"`
`#include "tao/SmartProxies/Smart_Proxies.h"`
`#include "ace/post.h"`

Include dependency graph for TimeBaseC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TimeBase
## Compounds
struct | TimeBase::IntervalT
| An UTC time interval. More...
struct | TimeBase::UtcT
| A timestamp in UTC time. More...
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
## Functions
TAO_NAMESPACE_CLOSE TAO_Export void | operator<<= (CORBA::Any &, const TimeBase::UtcT &)
TAO_Export void | operator<<= (CORBA::Any &, TimeBase::UtcT *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TimeBase::UtcT *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TimeBase::UtcT *&)
TAO_Export void | operator<<= (CORBA::Any &, const TimeBase::IntervalT &)
TAO_Export void | operator<<= (CORBA::Any &, TimeBase::IntervalT *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, TimeBase::IntervalT *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const TimeBase::IntervalT *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TimeBase::UtcT &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TimeBase::UtcT &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TimeBase::IntervalT &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TimeBase::IntervalT &)

## Define Documentation

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TimeBase::IntervalT & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TimeBase::UtcT & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TimeBase::IntervalT * | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TimeBase::IntervalT & | _tao_elem
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | TimeBase::UtcT * | _tao_elem
| ) |

TAO_NAMESPACE_CLOSE TAO_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const TimeBase::UtcT & | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TimeBase::IntervalT & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TimeBase::UtcT & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TimeBase::IntervalT *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TimeBase::IntervalT *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const TimeBase::UtcT *& | _tao_elem
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | TimeBase::UtcT *& | _tao_elem
| ) |